Name:                XmlSchema
Version:             2.3.0
Release:             1
Summary:             Lightweight schema object model
License:             ASL 2.0
URL:                 http://ws.apache.org/xmlschema/
BuildArch:           noarch
Source0:             http://archive.apache.org/dist/ws/xmlschema/%{version}/xmlschema-%{version}-source-release.zip
BuildRequires:       maven-local mvn(com.google.guava:guava-testlib) mvn(junit:junit)
BuildRequires:       mvn(org.apache:apache:pom:) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:       mvn(xerces:xercesImpl) mvn(xmlunit:xmlunit)
BuildRequires:       mvn(javax.xml.bind:jaxb-api)
%description
Commons XMLSchema is a lightweight schema object model that can be
used to manipulate or generate a schema.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n xmlschema-%{version}
sed -i -e 's/\r//g' RELEASE-NOTE.txt
%pom_disable_module xmlschema-bundle-test
%pom_disable_module w3c-testcases
%mvn_alias :xmlschema-core org.apache.ws.commons.schema:XmlSchema

%build
%mvn_build -- -P!sourcecheck

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.txt RELEASE-NOTE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat May 06 2023 Ge Wang <wang__ge@126.com> - 2.3.0-1
- update to version 2.3.0

* Wed May 12 2021 zhangtao <zhangtao307@huawei.com> - 2.2.3-1
- package init
